/* $Id: nodeco.h,v 1.1.1.1 1996/10/02 10:35:51 roitzsch Exp $ */

#ifndef NODECO_H
#define NODECO_H

#include "general.h"

#include "kvector.h"
#include "matrix.h"

//-------------------------------------------------------------------------


class NodeCoordinates
{
  protected:
    int 	 spaceDim;
    const  	 int lowNode, highNode;
    Matrix<Real> coord;

  public:

    NodeCoordinates(int spaceDim, int lowNode, int highNode);
    void setCoordinate(int node, const Vector<Real>& x);
    void getCoordinate(int node, Vector<Real>& x) const;
};

#endif
